package domain

type AlibabaWdkCouponSkuRemoveCouponTemplateItemRequest struct {
	/*
	   模板表主键id     */
	Id *int64 `json:"id,omitempty" `

	/*
	   券圈品设置     */
	PromActSkuList *[]AlibabaWdkCouponSkuRemovePromActSku `json:"prom_act_sku_list,omitempty" `

	/*
	   ump模板ID     */
	SourceId *int64 `json:"source_id,omitempty" `

	/*
	   用户信息     */
	UserInfo *AlibabaWdkCouponSkuRemoveUserInfo `json:"user_info,omitempty" `
}

func (s *AlibabaWdkCouponSkuRemoveCouponTemplateItemRequest) SetId(v int64) *AlibabaWdkCouponSkuRemoveCouponTemplateItemRequest {
	s.Id = &v
	return s
}
func (s *AlibabaWdkCouponSkuRemoveCouponTemplateItemRequest) SetPromActSkuList(v []AlibabaWdkCouponSkuRemovePromActSku) *AlibabaWdkCouponSkuRemoveCouponTemplateItemRequest {
	s.PromActSkuList = &v
	return s
}
func (s *AlibabaWdkCouponSkuRemoveCouponTemplateItemRequest) SetSourceId(v int64) *AlibabaWdkCouponSkuRemoveCouponTemplateItemRequest {
	s.SourceId = &v
	return s
}
func (s *AlibabaWdkCouponSkuRemoveCouponTemplateItemRequest) SetUserInfo(v AlibabaWdkCouponSkuRemoveUserInfo) *AlibabaWdkCouponSkuRemoveCouponTemplateItemRequest {
	s.UserInfo = &v
	return s
}
